<div class="manage-card card-dashboard-article shadow" ...attributes>
  <div class="title">
    {{#if @onSelect}}
      <ChkRecordSelection @record={{this.record}} @selection={{@selection}} @onSelect={{@onSelect}} />
    {{/if}}

    <button class="btn" type="button" {{on "click" this.onClick}}>
      {{this.title}}
    </button>
  </div>

  <div class="options">
    <Dropdown class="float-end">
      <ModelActions::Record @record={{@article}} @onDelete={{@deleteRecord}} />
    </Dropdown>
  </div>

  {{#if @article.cover}}
    <div class="cover" style={{this.bgCover}}></div>
  {{/if}}

  <div class="description">
    {{#if this.descriptionTitle}}
      <div>
        <strong>{{this.descriptionTitle}}</strong>
      </div>
    {{/if}}
    <div class="text-line-clamp-4 overflow-hidden">
      <Article::FirstParagraph @contentBlocks={{@article.contentBlocks}} />
    </div>
  </div>

  {{#if (or this.slug this.releaseDate)}}
    <div class="footer">
      {{#if this.slug}}
        <div class="slug">{{this.slug}}</div>
      {{/if}}

      {{#if this.releaseDate}}
        <div class="date">
          <RelativeDate @date={{this.releaseDate}} />
        </div>
      {{/if}}
    </div>
  {{/if}}

  <div class="labels">
    {{#if this.isPublic}}
      <span class="badge bg-success">
        {{t "visibility-public"}}
      </span>
    {{else}}
      <span class="badge bg-warning text-dark">
        {{t "visibility-private"}}
      </span>
    {{/if}}

    {{#if this.status}}
      <span class="badge bg-{{this.statusColor}} ms-1">
        {{t (concat "record-status." this.status)}}
      </span>
    {{/if}}
  </div>
</div>